//
//  CRSciWindow.h
//  sci4osx_test
//
//  Created by serg on 7/21/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "CRSciView.h"

class CRSciWindow
{
private:
	CRSciView _sciView;
	WindowRef _crWindow;
	NSWindow* _ccWindow;
	EventHandlerRef _applicationEventHandlerRef;
	EventHandlerRef _windowEventHandlerRef;
public:
        CRSciView &view() { return _sciView; }
	CRSciWindow();
	WindowRef init();
	void createEditor(NSWindow* window);
	void dispose();
	operator WindowRef() { return _crWindow; }
	operator NSWindow*() { return _ccWindow; }
};
